<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>postMessage跨域-a</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<iframe id="iframe" src="http://www.domain2.com/b.html" style="display:none;"></iframe>
<script>      
   var iframe = document.getElementById('iframe');
   iframe.onload = function() {
       var data = {
	     name: 'aym'
		 };
       // 向domain2传送跨域数据
	 iframe.contentWindow.postMessage(JSON.stringify(data), 'http://www.domain2.com');
   };
   // 接受domain2返回数据
   window.addEventListener('message', function(e) {
	 alert('data from domain2 ---> ' + e.data);
   }, false);
</script>


 </body>
</html>